/*
 *
 * Perforce/JBuilder Opentool
 * Copyright (C) 2002 Mark Ackerman
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation;
 * version 2.1 of the License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

package com.dafreels.opentools.actions;

//JBuilder
import java.util.Vector;

import javax.swing.JOptionPane;

import com.borland.primetime.ide.Browser;
import com.borland.primetime.ide.BrowserAction;
import com.dafreels.opentools.Main;
import com.dafreels.opentools.actions.ui.DescribeDialog;
import com.dafreels.vcs.command.Command;
import com.dafreels.vcs.command.CommandTool;
import com.dafreels.vcs.command.MessageFormatter;

/**
 * Title: Perforce Open Tool
 * Description: run the describe Perforce Command
 * Copyright:    Copyright (c) 2002
 * Company:
 * @author Mark Ackerman
 * @version 1.0
 */

public class DescribeAction extends BrowserAction {

  public DescribeAction() {
    super("Describe");
  }
  public DescribeAction(String changeListNumber, Vector changeList) {
    this();
    describe(changeListNumber, changeList);
  }
  public void actionPerformed(Browser browser) {
    String changeListNumber =
      JOptionPane.showInputDialog(
        Browser.getActiveBrowser(),
        "Enter Change List Number:");
    describe(changeListNumber, null);
  }
  protected void describe(String changeListNumber, Vector changeList) {
    if (changeListNumber == null || changeListNumber.length() == 0) {
      return;
    }
    StringBuffer sb = new StringBuffer("describe -s ");
    sb.append(changeListNumber);

    //Run the command
    CommandTool.runCommand(new Command(sb.toString()), Main.m_props);
    //Output the p4 messages
    DescribeDialog dialog =
      new DescribeDialog(
        Browser.getActiveBrowser(),
        "ChangeList Description",
        false,
        changeListNumber,
        changeList);
    dialog.fillForm(MessageFormatter.getInstance());
    dialog.setVisible(true);

  }
}