/*
 *
 * Perforce/JBuilder Opentool
 * Copyright (C) 2001 David Freels
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation;
 * version 2.1 of the License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

package com.dafreels.opentools.actions;

//JBuilder
import com.borland.primetime.ide.Browser;
import com.borland.primetime.node.Node;
import com.dafreels.opentools.Main;
import com.dafreels.opentools.actions.ui.StatusDialog;
import com.dafreels.vcs.command.CommandTool;
import com.dafreels.vcs.command.MessageFormatter;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:      DF Systems
 * @author David Freels
 * @version 1.0
 */

public class StatusAction extends PerforceAction {

  public StatusAction(boolean onFileTabMenu) {
    super("Properties", "Display File Information", null, onFileTabMenu);
  }

  public void actionPerformed(Browser browser) {
    com.dafreels.vcs.command.Command cmd =
      new com.dafreels.vcs.command.Command(
        com.dafreels.vcs.command.Command.STATUS);
    Node[] nodes = getSelectedNodes(browser, cmd);
    //Get a list of the selected nodes
    
    //Run the command
    CommandTool.runCommand(cmd, Main.m_props);

    // now displays a little status dialog for the user. Mark Ackerman 4/5/2002
    StatusDialog dialog =
      new StatusDialog(Browser.getActiveBrowser(), "File Information", false);
    dialog.fillForm(MessageFormatter.getInstance());
    dialog.setVisible(true);
    //Output the p4 messages
    //MessageWriter.outputMessages(MessageFormatter.getInstance());

    //Force JBuilder to check the file status
    if (nodes != null) {
      Main.refreshNodes(nodes);
    }
  }
}